> ## Documentation Index
> Fetch the complete documentation index at: https://rollfi-monthly-semi-monthly.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# uploadDocument

> This API is used to upload a document to the rollfi system to maintain compliance

### When to use:





## OpenAPI

````yaml post /adminPortal#uploadDocument
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /adminPortal#uploadDocument:
    post:
      tags: []
      summary: uploadDocument
      description: >+
        This API is used to upload a document to the rollfi system to maintain
        compliance


        ### When to use:

      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                companyId:
                  type: string
                employeeId:
                  type: string
                payPeriodId:
                  type: string
                fileName:
                  type: string
                documentType:
                  type: string
                fileBase64:
                  type: string
              required:
                - method
                - companyId
                - fileName
                - fileBase64
            example:
              method: uploadDocument
              companyId: 6FFBAEFF-020F-4F63-A140-0348BD0F0FCB
              employeeId: 161978BD-C696-495A-87DC-226B9D0D5A3B
              payPeriodId: D9108BF3-5FFB-433D-89E2-7A4C79972153
              fileName: sample-document.pdf
              documentType: PayStub
              fileBase64: >-
                JVBERi0xLjQKJeLjz9MKMSAwIG9iago8PAovVHlwZSAvQ2F0YWxvZwovUGFnZXMgMiAwIFIKPj4KZW5kb2JqCjIgMCBvYmoKPDwKL1R5cGUgL1BhZ2VzCi9LaWRzIFszIDAgUl0KL0NvdW50IDEKPD4KZW5kb2JqCjMgMCBvYmoKPDwKL1R5cGUgL1BhZ2UKL1BhcmVudCAyIDAgUgovTWVkaWFCb3ggWzAgMCA2MTIgNzkyXQovUmVzb3VyY2VzIDw8Ci9Qcm9jU2V0IFsvUERGIC9UZXh0IC9JbWFnZUIgL0ltYWdlQyAvSW1hZ2VJXQo+PgovQ29udGVudHMgNCAwIFIKPj4KZW5kb2JqCjQgMCBvYmoKPDwKL0xlbmd0aCA0NAo+PgpzdHJlYW0KQlQKL0YxIDEyIFRmCjcyIDcyMCBUZAooSGVsbG8gV29ybGQpIFRqCkVUCmVuZHN0cmVhbQplbmRvYmoKeHJlZgowIDUKMDAwMDAwMDAwMCA2NTUzNSBmIAowMDAwMDAwMDA5IDAwMDAwIG4gCjAwMDAwMDAwNTggMDAwMDAgbiAKMDAwMDAwMDExNSAwMDAwMCBuIAowMDAwMDAwMjQ1IDAwMDAwIG4gCnRyYWlsZXIKPDwKL1NpemUgNQovUm9vdCAxIDAgUgo+PgpzdGFydHhyZWYKMzM4CiUlRU9G
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  documentId:
                    type: string
                  fileName:
                    type: string
                  success:
                    type: boolean
                  message:
                    type: string
                required:
                  - documentId
                  - fileName
                  - success
                  - message
              example:
                documentId: 181D4FCA-CBDB-49F6-93BE-95B78AD3045E
                fileName: sample-document.pdf
                success: true
                message: Document uploaded successfully
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
              example:
                error:
                  code: 400
                  message: Invalid PayPeriodId
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````